Download it now!
Bug 118169 - FILESAVE DOCX ActiveX form control saved incorrectly with Hungarian accented letters
Summary: FILESAVE DOCX ActiveX form control saved incorrectly with Hungarian accented ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.4.0 target:6.3.2
Keywords: bibisected, filter:docx, regression
Depends on:
Blocks: DOCX-ActiveX-Legacy
  Show dependency treegraph
 
Reported: 2018-06-14 15:47 UTC by Gabor Kelemen
Modified: 2019-09-04 14:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word 2013 (22.54 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-06-14 15:47 UTC, Gabor Kelemen
Details
The example file saved by LO 6.0 (15.55 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-06-14 15:48 UTC, Gabor Kelemen
Details
The example file saved by LO 6.2alpha (15.59 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-06-14 15:48 UTC, Gabor Kelemen
Details
The original and the saved file in LO 6.0 (121.15 KB, image/png)
2018-06-14 15:49 UTC, Gabor Kelemen
Details
the same problem i with .doc file (69.50 KB, application/msword)
2018-10-04 10:55 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2018-06-14 15:47:31 UTC
Created attachment 142751 [details]
Example file from Word 2013

If we insert any kind of Form control and set the label name to accented letters  LibreOffice will replace the accented ő and ű letters with question mark after the export. 

Steps to reproduce:
1. Create a new *.docx file with LibreOffice Writer.
2. Insert an ActiveX form control. (e.g.: textbox or radiobutton)
3. Give a name for the form control Label, that contains these letters: ‘ű’ or ‘ő’.
4. Save the file and reload.

Actual results:
The LibreOffice will replace the accented letters with question mark after the export.

Expected results:
The LibreOffice should not replace the accented letters with question mark after the export.

Verzió: 6.0.4.2
Build az.: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU szálak: 4; OS: Windows 10.0; Felületmegjelenítés: alapértelmezett; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 6.2.0.0.alpha0+
Build ID: fb8e6a6f44839f09fcd19dc500db33232bc4e15a
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-11_01:15:16
Locale: hu-HU (hu_HU); Calc: group threaded
Comment 1 Gabor Kelemen 2018-06-14 15:48:05 UTC
Created attachment 142752 [details]
The example file saved by LO 6.0
Comment 2 Gabor Kelemen 2018-06-14 15:48:36 UTC
Created attachment 142753 [details]
The example file saved by LO 6.2alpha
Comment 3 Gabor Kelemen 2018-06-14 15:49:17 UTC
Created attachment 142754 [details]
The original and the saved file in LO 6.0
Comment 4 Buovjaga 2018-06-24 13:01:09 UTC
Repro.

Regression from 5.4. I tried to bibisect, but there were commits where the form disappeared completely. I marked those as bad, but it ended up giving me an incorrect result.
Comment 5 Xisco Faulí 2018-06-25 10:48:48 UTC
The ActiveX stopped being exported after

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-09 16:06:17 +0200
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-09 19:07:33 +0200
commit	4a764319cbad4e2589cc105145ac27defbf49ff6 (patch)
tree	9e020cfde1025dea3b1b1fc5839bba27b39ddd8e
parent	286c27e805c4501451857abff19c23b3719146a3 (diff)
tdf#91384: DOCX: import ActiveX controls

and they began being exported again ( already with the problem ) after 

author	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-17 21:47:22 +0200
committer	Tamás Zolnai <tamas.zolnai@collabora.com>	2017-08-17 23:11:15 +0200
commit	c0cc02e2934aeb12dda44818955e5964496c186a (patch)
tree	16f450bbe38e14d336bdbac3220b642b9a302a87
parent	8c0cc5cd7befffc6e8e6361ba67807a799cc997f (diff)
tdf#50097: DOCX: export form controls as MSO ActiveX controls

Adding Cc: to Tamás Zolnai
Comment 6 raal 2018-10-04 10:55:01 UTC
Created attachment 145369 [details]
the same problem i with .doc file
Comment 7 Commit Notification 2019-08-28 19:35:49 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4b82652c4de94db553dfd7a63801ea81d366315a%5E%21

tdf#118169: ActiveX form control saved incorrectly with accented letters

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 László Németh 2019-09-04 09:31:08 UTC
Tamás: has your patch solved the issue? Thanks, László
Comment 9 Tamás Zolnai 2019-09-04 11:26:54 UTC
(In reply to László Németh from comment #8)
> Tamás: has your patch solved the issue? Thanks, László

Yes, it fixes the issue. It needs to be backported to other branches, that's why I did not close it yet.
Comment 10 Xisco Faulí 2019-09-04 11:32:49 UTC
(In reply to Tamás Zolnai from comment #9)
> (In reply to László Németh from comment #8)
> > Tamás: has your patch solved the issue? Thanks, László
> 
> Yes, it fixes the issue. It needs to be backported to other branches, that's
> why I did not close it yet.

Patch in gerrit for libreoffice-6-3 https://gerrit.libreoffice.org/#/c/78592/.
I don't think we need to backport it to 6.2 branch.
Comment 11 Xisco Faulí 2019-09-04 11:50:57 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: e8b3df5b9b0eb0a93c25b6dc2e445ae44a7e3f78
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamás Zolnai, thanks for fixing this issue!!
Comment 12 Commit Notification 2019-09-04 13:31:28 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7d9f20a723a73300e05a9885c5f02516f771692d%5E%21

tdf#118169: ActiveX form control saved incorrectly with accented letters

It will be available in 6.3.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.